/* #Declinazione di responsabilità. 
#I file rilasciati in formato testo sono provvisti anche dei programmi di importazione per STATA, SAS e R. 
#L'Istat non garantisce che le funzioni contenute nei suddetti programmi siano esenti da errore e non si assume alcuna responsabilità sull’output ottenuto dal loro utilizzo.   
/*  I valori delle label nelle variabili categoriche sono commentati a causa della presenza di codici non esclusivamente numerici. Comunque sono completamente documentati.  */
clear all
infile  using  PGM_2019_Individui_IT_DELIMITED.dct, clear
/*
label define  tr_cl0 02   "Record individuale" 03   "Record viaggi" 04   "Record escursioni"  
label define  sesso_cl4 1   "Maschi" 2   "Femmine"  
label define  eta10_cl5 01   "<=14 anni" 02   "15-24 anni" 03   "25-34 anni" 04   "35-44 anni" 05   "45-54 anni" 06   "55-64 anni" 07   "65-74 anni" 08   ">=75 anni"  
label define  staciv4_cl6 1   "Celibe/nubile" 2   "Coniugato" 3   "Separato/Divorziato" 4   "Vedovo"  
label define  citt_cl7 1   "Italiana" 2   "Estera"  
label define  reg_cl8 010   "Piemonte" 020   "Valle d'Aosta/Vallee' d'Aoste" 030   "Lombardia" 040   "Trentino A.Adige/Sudtirol" 050   "Veneto" 060   "Friuli-Venezia Giulia" 070   "Liguria" 080   "Emilia-Romagna" 090   "Toscana" 100   "Umbria" 110   "Marche" 120   "Lazio" 130   "Abruzzo" 140   "Molise" 150   "Campania" 160   "Puglia" 170   "Basilicata" 180   "Calabria" 190   "Sicilia" 200   "Sardegna"  
label define  rip_cl9 1   "Nord-ovest" 2   "Nord-est" 3   "Centro" 4   "Sud" 5   "Isole"  
label define  istr4_cl10 01   "Nessun titolo/Licenza elementare" 02   "Licenza di scuola media (o avviamento professionale)" 03   "Diploma di scuola secondaria superiore o qualifica professionale" 04   "Diploma universitario, ex scuole parauniversitarie, laurea, post laurea"  
label define  condogg_cl11 01   "Occupato" 02   "In cerca di occupazione" 03   "Inattivo"  
label define  posiz4_cl12 01   "Dirigente, direttivo, quadro, impiegato" 02   "Operaio apprendista lavorante a domicilio per conto d''impresa" 03   "Imprenditore, libero professionista" 04   "Lavoratore in proprio, socio cooperativa, coadiuvante, co.co.pro, prestazione opera occasionale"  
label define  ateco3_cl13 01   "Settore primario" 02   "Settore secondario" 03   "Settore terziario"  
label define  cond4_cl14 01   "Occupato" 02   "In cerca di occupazione" 03   "Casalinga/studente/altra condizione" 04   "Persona ritirata dal lavoro"  
label define  orario_cl15 1   "A tempo pieno" 2   "A tempo parziale"  
label define  rapp_cl16 1   "A tempo determinato" 2   "A tempo indeterminato"  
label define  codprof7_cl17 1   "Imprenditori e alta dirigenza" 2   "Professioni della conoscenza" 3   "Professioni esecutive di ufficio" 4   "Professioni qualificate nel commercio e nei servizi" 5   "Professioni manuali qualificate" 6   "Professioni manuali non qualificate" 7   "Forze armate"  
label define  novac_cl18 01   "Motivi economici" 02   "Motivi di lavoro,studio,familiari" 03   "Mancanza di abitudine" 04   "Altri motivi (inclusi motivi di salute)" 99   "Non sa, non risponde"  
label define  iesc_cl23 0   "Nessuna escursione dell'individuo" 1   "Almeno un'escursione dell'individuo"  
label define  ivia_cl25 0   "Nessun viaggio dell'individuo" 1   "Almeno un viaggio dell'individuo"  
label define  ilav_cl27 0   "Nessun viaggio di lavoro dell'individuo" 1   "Almeno un viaggio di lavoro dell'individuo"  
label define  ivac_cl29 0   "Nessun viaggio di vacanza dell'individuo" 1   "Almeno un viaggio di vacanza dell'individuo"  
label define  ibreve_cl31 0   "Nessun viaggio di vacanza 1-3 notti dell'individuo" 1   "Almeno un viaggio di vacanza 1-3 notti dell'individuo"  
label define  ilunga_cl33 0   "Nessun viaggio di vacanza lunga dell'individuo" 1   "Almeno un viaggio di vacanza lunga dell'individuo"  
label define  trim_cl37 01   "Gennaio-Marzo" 02   "Aprile-Giugno" 03   "Luglio-Settembre" 04   "Ottobre-Dicembre"  
label define  ncomp_cl38 1   "1 componente" 2   "2 componenti" 3   "3 componenti" 4   "4 componenti" 5   "5 componenti" 6   "6 o piu' componenti"  
label define  pnasc_cl39 1   "Italia" 2   "Estero"  
label values  tr tr_cl0
label values  sesso sesso_cl4
label values  eta10 eta10_cl5
label values  staciv4 staciv4_cl6
label values  citt citt_cl7
label values  reg reg_cl8
label values  rip rip_cl9
label values  istr4 istr4_cl10
label values  condogg condogg_cl11
label values  posiz4 posiz4_cl12
label values  ateco3 ateco3_cl13
label values  cond4 cond4_cl14
label values  orario orario_cl15
label values  rapp rapp_cl16
label values  codprof7 codprof7_cl17
label values  novac novac_cl18
label values  iesc iesc_cl23
label values  ivia ivia_cl25
label values  ilav ilav_cl27
label values  ivac ivac_cl29
label values  ibreve ibreve_cl31
label values  ilunga ilunga_cl33
label values  trim trim_cl37
label values  ncomp ncomp_cl38
label values  pnasc pnasc_cl39
*/
save  VV_A2019_Individui.dta, replace
