/*Declinazione di responsabilità. 
I file rilasciati in formato testo sono provvisti anche dei programmi di importazione per STATA, SAS e R. 
L'Istat non garantisce che le funzioni contenute nei suddetti programmi siano esenti da errore e non si assume alcuna responsabilità sull’output ottenuto dal loro utilizzo
%macro grabpath;
%qsubstr(%sysget(SAS_EXECFILEPATH),1,%length(%sysget(SAS_EXECFILEPATH))-%length(%sysget(SAS_EXECFILEname)))
%mend grabpath;
%let path = %grabpath;
%let nomeFile =VV_Microdati_2019_Individui.txt;
LIBNAME ISTAT "&path";
DATA ISTAT.VV_A2019_Individui;

INFILE "&path&nomeFile" DLM='09'x  LRECL=32767 TRUNCOVER FIRSTOBS=2 IGNOREDOSEOF;
INPUT 
tr : $2.  /*  tipo record */
mese : $2.  /*  mese di riferimento dei dati */
annrif : $4.  /*  anno di riferimento dei dati */
progind : $5.  /*  Numero d'ordine progressivo individuale sull'anno */
sesso : $1.  /*  sesso */
eta10 : $2.  /*  Classi di eta' in anni compiuti */
staciv4 : $1.  /*  stato civile */
citt : $1.  /*  riservato ISTAT */
reg : $3.  /*  regione di residenza */
rip : $1.  /*  ripartizione geografica di residenza */
istr4 : $2.  /*  titolo di studio piu' alto conseguito */
condogg : $2.  /*  condizione professionale oggettiva */
posiz4 : $2.  /*  posizione nella professione */
ateco3 : $2.  /*  settore di attivita' economica */
cond4 : $2.  /*  condizione professionale soggettiva */
ORARIO : $1.  /*  tipo di orario di lavoro */
RAPP : $1.  /*  tipo di rapporto di lavoro */
CODPROF7 : $1.  /*  codifica della professione lavorativa (Grandi gruppi) */
novac : $2.  /*  motivo per cui l'individuo non ha effettuato vacanze nel mese */
lavat : 2.  /*  numero totale viaggi di lavoro abituali nel mese */
noxlat : 2.  /*  numero totale di notti per viaggi di lavoro abituali nel mese */
vacat : 2.  /*  numero totale viaggi di vacanza abituali nel mese */
noxvat : 2.  /*  numero totale di notti per viaggi di vacanza abituali nel mese */
IESC : $1.  /*  presenza escursioni effettuate dall'individuo nel mese */
INESC : 2.  /*  numero escursioni effettuate dall'individuo nel mese */
ivia : $1.  /*  presenza viaggi effettuati dall'individuo nel mese */
invia : 2.  /*  numero viaggi effettuati dall'individuo nel mese */
ilav : $1.  /*  presenza viaggi di lavoro effettuati dall'individuo nel mese */
inlav : 2.  /*  numero viaggi di lavoro effettuati dall'individuo nel mese */
ivac : $1.  /*  presenza viaggi di vacanza effettuati dall'individuo nel mese */
invac : 2.  /*  numero viaggi di vacanza effettuati dall'individuo nel mese */
ibreve : $1.  /*  presenza viaggi di vacanza di 1-3 notti effettuati dall'individuo nel mese */
inbreve : 2.  /*  numero viaggi di vacanza di 1-3 notti effettuati dall'individuo nel mese */
ilunga : $1.  /*  presenza viaggi di vacanza di 4 o piu' notti effettuati dall'individuo nel mese */
inlunga : 2.  /*  numero viaggi di vacanza di 4 o piu' notti effettuati dall'individuo nel mese */
W : 19.7  /*  coefficiente di riporto per le stime di viaggi, escursioni e individui (turisti e non turisti) nel mese medio del trimestre */
COEV : 19.7  /*  coefficiente di riporto per il calcolo dell'ammontare dei viaggi (abituali e non abituali) ed escursioni nel mese, nel trimestre e nell'anno */
TRIM : $2.  /*  trimestre di riferimento dei dati */
ncomp : $2.  /*  numero componenti della famiglia di fatto dell'intervista iniziale */
pnasc : $1.  /*  paese di nascita */
;
LABEL 
tr = "tipo record"
mese = "mese di riferimento dei dati"
annrif = "anno di riferimento dei dati"
progind = "Numero d'ordine progressivo individuale sull'anno"
sesso = "sesso"
eta10 = "Classi di eta' in anni compiuti"
staciv4 = "stato civile"
citt = "riservato ISTAT"
reg = "regione di residenza"
rip = "ripartizione geografica di residenza"
istr4 = "titolo di studio piu' alto conseguito"
condogg = "condizione professionale oggettiva"
posiz4 = "posizione nella professione"
ateco3 = "settore di attivita' economica"
cond4 = "condizione professionale soggettiva"
ORARIO = "tipo di orario di lavoro"
RAPP = "tipo di rapporto di lavoro"
CODPROF7 = "codifica della professione lavorativa (Grandi gruppi)"
novac = "motivo per cui l'individuo non ha effettuato vacanze nel mese"
lavat = "numero totale viaggi di lavoro abituali nel mese"
noxlat = "numero totale di notti per viaggi di lavoro abituali nel mese"
vacat = "numero totale viaggi di vacanza abituali nel mese"
noxvat = "numero totale di notti per viaggi di vacanza abituali nel mese"
IESC = "presenza escursioni effettuate dall'individuo nel mese"
INESC = "numero escursioni effettuate dall'individuo nel mese"
ivia = "presenza viaggi effettuati dall'individuo nel mese"
invia = "numero viaggi effettuati dall'individuo nel mese"
ilav = "presenza viaggi di lavoro effettuati dall'individuo nel mese"
inlav = "numero viaggi di lavoro effettuati dall'individuo nel mese"
ivac = "presenza viaggi di vacanza effettuati dall'individuo nel mese"
invac = "numero viaggi di vacanza effettuati dall'individuo nel mese"
ibreve = "presenza viaggi di vacanza di 1-3 notti effettuati dall'individuo nel mese"
inbreve = "numero viaggi di vacanza di 1-3 notti effettuati dall'individuo nel mese"
ilunga = "presenza viaggi di vacanza di 4 o piu' notti effettuati dall'individuo nel mese"
inlunga = "numero viaggi di vacanza di 4 o piu' notti effettuati dall'individuo nel mese"
W = "coefficiente di riporto per le stime di viaggi, escursioni e individui (turisti e non turisti) nel mese medio del trimestre"
COEV = "coefficiente di riporto per il calcolo dell'ammontare dei viaggi (abituali e non abituali) ed escursioni nel mese, nel trimestre e nell'anno"
TRIM = "trimestre di riferimento dei dati"
ncomp = "numero componenti della famiglia di fatto dell'intervista iniziale"
pnasc = "paese di nascita"
;
RUN;
PROC FORMAT;
VALUE $tr0F /* tr */
"02" = "Record individuale"
"03" = "Record viaggi"
"04" = "Record escursioni"
;
VALUE $ses4F /* sesso */
"1" = "Maschi"
"2" = "Femmine"
;
VALUE $eta5F /* eta10 */
"01" = "<=14 anni"
"02" = "15-24 anni"
"03" = "25-34 anni"
"04" = "35-44 anni"
"05" = "45-54 anni"
"06" = "55-64 anni"
"07" = "65-74 anni"
"08" = ">=75 anni"
;
VALUE $sta6F /* staciv4 */
"1" = "Celibe/nubile"
"2" = "Coniugato"
"3" = "Separato/Divorziato"
"4" = "Vedovo"
;
VALUE $cit7F /* citt */
"1" = "Italiana"
"2" = "Estera"
;
VALUE $reg8F /* reg */
"010" = "Piemonte"
"020" = "Valle d'Aosta/Vallee' d'Aoste"
"030" = "Lombardia"
"040" = "Trentino A.Adige/Sudtirol"
"050" = "Veneto"
"060" = "Friuli-Venezia Giulia"
"070" = "Liguria"
"080" = "Emilia-Romagna"
"090" = "Toscana"
"100" = "Umbria"
"110" = "Marche"
"120" = "Lazio"
"130" = "Abruzzo"
"140" = "Molise"
"150" = "Campania"
"160" = "Puglia"
"170" = "Basilicata"
"180" = "Calabria"
"190" = "Sicilia"
"200" = "Sardegna"
;
VALUE $rip9F /* rip */
"1" = "Nord-ovest"
"2" = "Nord-est"
"3" = "Centro"
"4" = "Sud"
"5" = "Isole"
;
VALUE $ist10F /* istr4 */
"01" = "Nessun titolo/Licenza elementare"
"02" = "Licenza di scuola media (o avviamento professionale)"
"03" = "Diploma di scuola secondaria superiore o qualifica professionale"
"04" = "Diploma universitario, ex scuole parauniversitarie, laurea, post laurea"
;
VALUE $con11F /* condogg */
"01" = "Occupato"
"02" = "In cerca di occupazione"
"03" = "Inattivo"
;
VALUE $pos12F /* posiz4 */
"01" = "Dirigente, direttivo, quadro, impiegato"
"02" = "Operaio apprendista lavorante a domicilio per conto d''impresa"
"03" = "Imprenditore, libero professionista"
"04" = "Lavoratore in proprio, socio cooperativa, coadiuvante, co.co.pro, prestazione opera occasionale"
;
VALUE $ate13F /* ateco3 */
"01" = "Settore primario"
"02" = "Settore secondario"
"03" = "Settore terziario"
;
VALUE $con14F /* cond4 */
"01" = "Occupato"
"02" = "In cerca di occupazione"
"03" = "Casalinga/studente/altra condizione"
"04" = "Persona ritirata dal lavoro"
;
VALUE $ORA15F /* ORARIO */
"1" = "A tempo pieno"
"2" = "A tempo parziale"
;
VALUE $RAP16F /* RAPP */
"1" = "A tempo determinato"
"2" = "A tempo indeterminato"
;
VALUE $COD17F /* CODPROF7 */
"1" = "Imprenditori e alta dirigenza"
"2" = "Professioni della conoscenza"
"3" = "Professioni esecutive di ufficio"
"4" = "Professioni qualificate nel commercio e nei servizi"
"5" = "Professioni manuali qualificate"
"6" = "Professioni manuali non qualificate"
"7" = "Forze armate"
;
VALUE $nov18F /* novac */
"01" = "Motivi economici"
"02" = "Motivi di lavoro,studio,familiari"
"03" = "Mancanza di abitudine"
"04" = "Altri motivi (inclusi motivi di salute)"
"99" = "Non sa, non risponde"
;
VALUE $IES23F /* IESC */
"0" = "Nessuna escursione dell'individuo"
"1" = "Almeno un'escursione dell'individuo"
;
VALUE $ivi25F /* ivia */
"0" = "Nessun viaggio dell'individuo"
"1" = "Almeno un viaggio dell'individuo"
;
VALUE $ila27F /* ilav */
"0" = "Nessun viaggio di lavoro dell'individuo"
"1" = "Almeno un viaggio di lavoro dell'individuo"
;
VALUE $iva29F /* ivac */
"0" = "Nessun viaggio di vacanza dell'individuo"
"1" = "Almeno un viaggio di vacanza dell'individuo"
;
VALUE $ibr31F /* ibreve */
"0" = "Nessun viaggio di vacanza 1-3 notti dell'individuo"
"1" = "Almeno un viaggio di vacanza 1-3 notti dell'individuo"
;
VALUE $ilu33F /* ilunga */
"0" = "Nessun viaggio di vacanza lunga dell'individuo"
"1" = "Almeno un viaggio di vacanza lunga dell'individuo"
;
VALUE $TRI37F /* TRIM */
"01" = "Gennaio-Marzo"
"02" = "Aprile-Giugno"
"03" = "Luglio-Settembre"
"04" = "Ottobre-Dicembre"
;
VALUE $nco38F /* ncomp */
"1" = "1 componente"
"2" = "2 componenti"
"3" = "3 componenti"
"4" = "4 componenti"
"5" = "5 componenti"
"6" = "6 o piu' componenti"
;
VALUE $pna39F /* pnasc */
"1" = "Italia"
"2" = "Estero"
;
format tr $tr0F.;
format sesso $ses4F.;
format eta10 $eta5F.;
format staciv4 $sta6F.;
format citt $cit7F.;
format reg $reg8F.;
format rip $rip9F.;
format istr4 $ist10F.;
format condogg $con11F.;
format posiz4 $pos12F.;
format ateco3 $ate13F.;
format cond4 $con14F.;
format ORARIO $ORA15F.;
format RAPP $RAP16F.;
format CODPROF7 $COD17F.;
format novac $nov18F.;
format IESC $IES23F.;
format ivia $ivi25F.;
format ilav $ila27F.;
format ivac $iva29F.;
format ibreve $ibr31F.;
format ilunga $ilu33F.;
format TRIM $TRI37F.;
format ncomp $nco38F.;
format pnasc $pna39F.;
RUN;
