/* #Declinazione di responsabilità. 
#I file rilasciati in formato testo sono provvisti anche dei programmi di importazione per STATA, SAS e R. 
#L'Istat non garantisce che le funzioni contenute nei suddetti programmi siano esenti da errore e non si assume alcuna responsabilità sull’output ottenuto dal loro utilizzo.   
/*  I valori delle label nelle variabili categoriche sono commentati a causa della presenza di codici non esclusivamente numerici. Comunque sono completamente documentati.  */
clear all
infile  using  PGM_2019_Viaggi_IT_DELIMITED.dct, clear
/*
label define  tr_cl0 02   "Record individuale" 03   "Record viaggi" 04   "Record escursioni"  
label define  sesso_cl4 1   "Maschi" 2   "Femmine"  
label define  eta10_cl5 01   "<=14 anni" 02   "15-24 anni" 03   "25-34 anni" 04   "35-44 anni" 05   "45-54 anni" 06   "55-64 anni" 07   "65-74 anni" 08   ">=75 anni"  
label define  staciv4_cl6 1   "Celibe/nubile" 2   "Coniugato" 3   "Separato/Divorziato" 4   "Vedovo"  
label define  pnasc_cl7 1   "Italia" 2   "Estero"  
label define  reg_cl8 010   "Piemonte" 020   "Valle d'Aosta/Valle'e d'Aoste" 030   "Lombardia" 040   "Trentino A.Adige/Sudtirol" 050   "Veneto" 060   "Friuli-Venezia Giulia" 070   "Liguria" 080   "Emilia-Romagna" 090   "Toscana" 100   "Umbria" 110   "Marche" 120   "Lazio" 130   "Abruzzo" 140   "Molise" 150   "Campania" 160   "Puglia" 170   "Basilicata" 180   "Calabria" 190   "Sicilia" 200   "Sardegna"  
label define  rip_cl9 1   "Nord-ovest" 2   "Nord-est" 3   "Centro" 4   "Sud" 5   "Isole"  
label define  istr4_cl10 01   "Nessun titolo/Licenza elementare" 02   "Licenza di scuola media (o avviamento professionale)" 03   "Diploma di scuola secondaria superiore o qualifica professionale" 04   "Diploma universitario, ex scuole parauniversitarie, laurea, post laurea"  
label define  condogg_cl11 01   "Occupato" 02   "In cerca di occupazione" 03   "Inattivo"  
label define  posiz4_cl12 01   "Dirigente, direttivo, quadro, impiegato" 02   "Operaio apprendista lavorante a domicilio per conto d'impresa" 03   "Imprenditore, libero professionista" 04   "Lavoratore in proprio, socio cooperativa, coadiuvante, co.co.pro, prestazione opera occasionale"  
label define  ateco3_cl13 01   "Settore primario" 02   "Settore secondario" 03   "Settore terziario"  
label define  cond4_cl14 01   "Occupato" 02   "In cerca di occupazione" 03   "Casalinga/studente/altra condizione" 04   "Persona ritirata dal lavoro"  
label define  orario_cl15 1   "A tempo pieno" 2   "A tempo parziale"  
label define  rapp_cl16 1   "A tempo determinato" 2   "A tempo indeterminato"  
label define  codprof7_cl17 1   "Imprenditori e alta dirigenza" 2   "Professioni della conoscenza" 3   "Professioni esecutive di ufficio" 4   "Professioni qualificate nel commercio e nei servizi" 5   "Professioni manuali qualificate" 6   "Professioni manuali non qualificate" 7   "Forze armate"  
label define  tipovgg_cl19 L0119   "viaggio di lavoro concluso a gennaio 2019" L0219   "viaggio di lavoro concluso a febbraio 2019" L0319   "viaggio di lavoro concluso a marzo 2019" L0419   "viaggio di lavoro concluso ad aprile 2019" L0519   "viaggio di lavoro concluso a maggio 2019" L0619   "viaggio di lavoro concluso a giugno 2019" L0719   "viaggio di lavoro concluso a luglio 2019" L0819   "viaggio di lavoro concluso ad agosto 2019" L0919   "viaggio di lavoro concluso a settembre 2019" L1019   "viaggio di lavoro concluso a ottobre 2019" L1119   "viaggio di lavoro concluso a novembre 2019" L1219   "viaggio di lavoro concluso a dicembre 20019" V0119   "viaggio di vacanza concluso a gennaio 2019" V0219   "viaggio di vacanza concluso a febbraio 2019" V0319   "viaggio di vacanza concluso a marzo 2019" V0419   "viaggio di vacanza concluso ad aprile 20019" V0519   "viaggio di vacanza concluso a maggio 2019" V0619   "viaggio di vacanza concluso a giugno 2019" V0719   "viaggio di vacanza concluso a luglio 2019" V0819   "viaggio di vacanza concluso ad agosto 20019" V0919   "viaggio di vacanza concluso a settembre 2019" V1019   "viaggio di vacanza concluso a ottobre 2019" V1119   "viaggio di vacanza concluso a novembre 2019" V1219   "viaggio di vacanza concluso a dicembre 2019"  
label define  dest_re_cl20 001   "Piemonte" 002   "Valle d'Aosta/Vallee' d'Aoste" 003   "Lombardia" 004   "Trentino-Alto Adige/Sudtirol" 005   "Veneto" 006   "Friuli-Venezia Giulia" 007   "Liguria" 008   "Emilia-Romagna" 009   "Toscana" 010   "Umbria" 011   "Marche" 012   "Lazio" 013   "Abruzzo" 014   "Molise" 015   "Campania" 016   "Puglia" 017   "Basilicata" 018   "Calabria" 019   "Sicilia" 020   "Sardegna" 121   "Austria" 122   "Belgio" 123   "Danimarca" 124   "Finlandia" 125   "Francia" 126   "Germania" 127   "Grecia" 128   "Irlanda" 130   "Lussemburgo" 132   "Olanda" 133   "Polonia" 134   "Portogallo" 135   "Regno Unito" 136   "Repubblica Ceca" 137   "Repubblica Slovacca" 138   "Spagna" 139   "Svezia" 142   "Ungheria" 159   "Bulgaria" 161   "Cipro" 163   "Estonia" 164   "Latvia" 165   "Lituania" 166   "Malta" 167   "Romania" 169   "Slovenia" 172   "Croazia" 200   "Paesi non UE" 300   "Nord America" 400   "Centro-Sud America" 500   "Africa" 600   "Asia-Oceania"  
label define  dest_pr_cl21 001   "Torino" 002   "Vercelli" 003   "Novara" 004   "Cuneo" 005   "Asti" 006   "Alessandria" 007   "Valle d'Aosta/Vallee' d'Aoste" 008   "Imperia" 009   "Savona" 010   "Genova" 011   "La Spezia" 012   "Varese" 013   "Como" 014   "Sondrio" 015   "Milano" 016   "Bergamo" 017   "Brescia" 018   "Pavia" 019   "Cremona" 020   "Mantova" 021   "Bolzano/Bozen" 022   "Trento" 023   "Verona" 024   "Vicenza" 025   "Belluno" 026   "Treviso" 027   "Venezia" 028   "Padova" 029   "Rovigo" 030   "Udine" 031   "Gorizia" 032   "Trieste" 033   "Piacenza" 034   "Parma" 035   "Reggio nell'Emilia" 036   "Modena" 037   "Bologna" 038   "Ferrara" 039   "Ravenna" 040   "Forli'-Cesena" 041   "Pesaro e Urbino" 042   "Ancona" 043   "Macerata" 044   "Ascoli Piceno" 045   "Massa-Carrara" 046   "Lucca" 047   "Pistoia" 048   "Firenze" 049   "Livorno" 050   "Pisa" 051   "Arezzo" 052   "Siena" 053   "Grosseto" 054   "Perugia" 055   "Terni" 056   "Viterbo" 057   "Rieti" 058   "Roma" 059   "Latina" 060   "Frosinone" 061   "Caserta" 062   "Benevento" 063   "Napoli" 064   "Avellino" 065   "Salerno" 066   "L'Aquila" 067   "Teramo" 068   "Pescara" 069   "Chieti" 070   "Campobasso" 071   "Foggia" 072   "Bari" 073   "Taranto" 074   "Brindisi" 075   "Lecce" 076   "Potenza" 077   "Matera" 078   "Cosenza" 079   "Catanzaro" 080   "Reggio di Calabria" 081   "Trapani" 082   "Palermo" 083   "Messina" 084   "Agrigento" 085   "Caltanissetta" 086   "Enna" 087   "Catania" 088   "Ragusa" 089   "Siracusa" 090   "Sassari" 091   "Nuoro" 092   "Cagliari" 093   "Pordenone" 094   "Isernia" 095   "Oristano" 096   "Biella" 097   "Lecco" 098   "Lodi" 099   "Rimini" 100   "Prato" 101   "Crotone" 102   "Vibo Valentia" 103   "Verbano-Cusio-Ossola" 104   "Olbia-Tempio" 105   "Ogliastra" 106   "Medio Campidano" 107   "Carbonia-Iglesias" 108   "Monza e della Brianza" 109   "Fermo" 110   "Barletta-Andria-Trani" 111   "Sud Sardegna" 999   "Non sa"  
label define  dest_ie_cl22 1   "Italia" 2   "Estero"  
label define  motvac_cl27 01   "Piacere, svago, vacanza" 02   "Visita a parenti e/o amici" 03   "Motivo religiosio, pellegrinaggio" 04   "Trattamento di salute, cura termale"  
label define  mezzo_cl28 01   "Aereo" 02   "Treno" 03   "Nave, battello, motoscafo" 04   "Auto a noleggio" 05   "Auto propria, di parenti/amici" 06   "Pullman turistico" 07   "Pullman di linea" 08   "Camper, autocaravan" 09   "Moto, Motoscooter" 10   "Altro"  
label define  allog_cl29 01   "Albergo/motel/pensione" 02   "Residenza per cure fisiche ed estetiche" 03   "Campo lavoro e vacanza" 04   "Mezzo pubblico di trasporto" 05   "Centro congressi e conferenze" 06   "Villaggio vacanza" 07   "Campeggio" 08   "Marina (Barca in porto, darsena)" 09   "Istituto religioso" 10   "Altra struttura collettiva" 11   "Stanza in affitto" 12   "Abitazione in affitto" 13   "Abitazione in proprieta o multiprop." 14   "Abitazione di parenti o amici gratuita" 15   "Barca in sito non organizzato" 16   "Altro tipo di sistemazione privata" 17   "Agriturismo" 18   "Bed-breakfast"  
label define  motlav_cl30 01   "Partecipazione a congresso, convegno, conferenza, seminario" 02   "Partecipazione a riunione daffari" 03   "Esibizione, fiera, mostra, esposizione (visita e/o partecipaz. Professionale)" 04   "Missione di lavoro o militare (amministrazione pubblica e/o privata, organismo internazionale, altra istituzione)" 05   "Viaggio o meeting dazienda per la familiarizzazione dei dipendenti e/o soci (inclusi viaggi di incentivazione)" 06   "Attivita di rappresentanza, vendita, acquisto, pubblicita, installazione, collaudo, manutenzione, riparazione, ecc." 07   "Attivita culturale, artistica, religiosa, sportiva" 08   "Attivita di docenza (didattica, consulenza, istruzioni)" 09   "Partecipazione (allievo) a corso di lingua straniera" 10   "Partecipazione (allievo) a corso di aggiornamento professionale (esclusa lingua straniera)" 11   "Attivita del personale viaggiante a bordo di mezzi per il trasporto di persone e/o merci" 12   "Altro motivo" 13   "Attivita' nel settore dell'edilizia e dell'artigianato" 14   "Attivita' di controllo e ispezione"  
label define  orgall_cl31 1   "Prenot. diretta" 2   "Prenot. in agenzia/tour operator" 3   "Nessuna prenotazione" 4   "Non sa/non risponde"  
label define  orgtra_cl32 1   "Prenot. diretta" 2   "Prenot. in agenzia/tour operator" 3   "Nessuna prenotazione" 4   "Non sa/non risponde"  
label define  alpart_cl33 1   "si" 2   "no"  
label define  iorgall_cl34 1   "SI" 2   "NO" 3   "NON SA"  
label define  iorgtra_cl35 1   "SI" 2   "NO" 3   "NON SA"  
label define  tipomare_cl36 1   "si" 2   "no"  
label define  tipocroc_cl37 1   "si" 2   "no"  
label define  tipomont_cl38 1   "si" 2   "no"  
label define  tipocitta_cl39 1   "si" 2   "no"  
label define  tipocamp_cl40 1   "si" 2   "no"  
label define  tipoaltro_cl41 1   "si" 2   "no"  
label define  trim_cl44 01   "Gennaio-Marzo" 02   "Aprile-Giugno" 03   "Luglio-Settembre" 04   "Ottobre-Dicembre"  
label define  npart_cl45 01   "1" 02   "2" 03   "3" 04   "4" 05   "5 e piu' partecipanti"  
label define  tipo_cl46 01   "Cultura" 02   "Bellezze naturali" 03   "Trattamenti di salute/benessere/beauty farm/spa" 04   "Studio/formazione" 05   "Pratica di sport (settimana bianca, trekking, escursionismo, caccia o pesca, scuola di vela, rafting, equitazione,  ballo" 06   "Gastronomia, folklore,spettacoli" 07   "Divertimento, riposo o relax" 08   "Altro motivo (volontariato, shopping, hobby,eventi sportivi,visita a parchi divertimento, zoo, acquario, etc.)"  
label define  piattall1_cl49 1   "SI" 2   "NO"  
label define  piattall2_cl50 1   "SI" 2   "NO"  
label define  piattall3_cl51 1   "SI" 2   "NO"  
label values  tr tr_cl0
label values  sesso sesso_cl4
label values  eta10 eta10_cl5
label values  staciv4 staciv4_cl6
label values  pnasc pnasc_cl7
label values  reg reg_cl8
label values  rip rip_cl9
label values  istr4 istr4_cl10
label values  condogg condogg_cl11
label values  posiz4 posiz4_cl12
label values  ateco3 ateco3_cl13
label values  cond4 cond4_cl14
label values  orario orario_cl15
label values  rapp rapp_cl16
label values  codprof7 codprof7_cl17
label values  tipovgg tipovgg_cl19
label values  dest_re dest_re_cl20
label values  dest_pr dest_pr_cl21
label values  dest_ie dest_ie_cl22
label values  motvac motvac_cl27
label values  mezzo mezzo_cl28
label values  allog allog_cl29
label values  motlav motlav_cl30
label values  orgall orgall_cl31
label values  orgtra orgtra_cl32
label values  alpart alpart_cl33
label values  iorgall iorgall_cl34
label values  iorgtra iorgtra_cl35
label values  tipomare tipomare_cl36
label values  tipocroc tipocroc_cl37
label values  tipomont tipomont_cl38
label values  tipocitta tipocitta_cl39
label values  tipocamp tipocamp_cl40
label values  tipoaltro tipoaltro_cl41
label values  trim trim_cl44
label values  npart npart_cl45
label values  tipo tipo_cl46
label values  piattall1 piattall1_cl49
label values  piattall2 piattall2_cl50
label values  piattall3 piattall3_cl51
*/
save  VV_A2019_Viaggi.dta, replace
